/* Modules */
@import url("./personal-info.css");
@import url("./money-smarts.css");

/*TYPOGRAPHY*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=IBM+Plex+Mono&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Great+Vibes&family=IBM+Plex+Mono&display=swap");

:root {
  --text-color: #000;
  --top-bar-height: 50px;
  --sidebar-width: 241px;
  --blur-strength: 40px;

  /* FIXME This is temporary while working with old code */
  --old-top-bar-height: 50px;
}

/***************************************Site Wides*************************************/
body {
  /*COLOR SCHEME*/
  --primary-color: #541868;
  --primary-color-scale-75: #7f528e;
  --primary-color-scale-50: #a98bb3;
  --primary-color-scale-25: #d4c5d9;
  --secondary-color: #66e848;
  --secondary-color-scale-75: #8cee78;
  --secondary-color-scale-50: #82f3a4;
  --secondary-color-scale-25: #d8f9d2;
  --info-color: #2f80ed;
  --success-color: #27ae60;
  --warning-color: #e2b93b;
  --error-color: #eb5757;
  --black-color: #000000;
  --white-color: #ffffff;
  --grey-color-1: #333333;
  --grey-color-2: #4f4f4f;
  --grey-color-3: #828282;
  --grey-color-4: #c4c4c4;
  --grey-color-5: #f2f2f2;
  --light-grey-2: #e0e0e0;

  --h1-size: 56px;
  --h1-line-height: 61.6px;
  --h2-size: 48px;
  --h2-line-height: 52.8px;
  --h3-size: 40px;
  --h3-line-height: 44px;
  --h4-size: 32px;
  --h4-line-height: 35.2px;
  --h5-size: 24px;
  --h5-line-height: 26.4px;
  --h6-size: 20px;
  --h6-line-height: 22px;
  --body-large-text-size: 20px;
  --body-large-text-line-height: 28px;
  --body-medium-text-size: 18px;
  --body-medium-text-line-height: 25.2px;
  --body-normal-text-size: 16px;
  --body-normal-text-line-height: 22.4px;
  --body-small-text-size: 14px;
  --body-small-text-line-height: 20px;
  --body-small-label-size: 14px;
  --body-small-label-line-height: 9px;
  --body-extra-small-text-size: 12px;
  --body-extra-small-text-line-height: 17px;

  margin: 0;
  padding: 0;

  font-size: var(--body-small-text-size);
  background-color: #fff !important;
  color: var(--grey-color-2);
  font-family: "Poppins", sans-serif;
}

.error-msg {
  color: #eb5757;
}

a:active, a:hover, a:link, a:visited {
    color: var(--grey-color-2);
    text-decoration: none;
    transition: color .15s;
}

.moorr-modal-body .MuiTypography-body1 {
  font-size: var(--body-small-text-size);
}

.moorr-modal-body .body-medium-text {
  font-size: var(--body-medium-text-size);
}